// ===================================================
// Листинг 1. Программа для обнаружения сетевой
// оболочки и определения ее версии
//
// Файл version\version.cpp
//
// (C) A. Frolov, 1993
// ===================================================

#include <stdlib.h>
#include <stdio.h>

extern "C" int GetNetWareShellVersion(char *,char *, char *);

void main(void) {

	char MajorVersion=0;
	char MinorVersion=0;
	char Revision=0;

	asm push si
	GetNetWareShellVersion(&MajorVersion,
			&MinorVersion, &Revision);
	asm pop si

	if(MajorVersion == 0) {
		printf("\nОболочка NetWare не загружена\n");
		return;
	}

	printf("\nВерсия оболочки NetWare: %d.%d.%d\n",MajorVersion,
			MinorVersion, Revision);

}